curl --request GET \
--url https://api.hyperline.co/v1/webhooks/messages \
--header 'Authorization: Bearer <token>'{
"meta": {
"iterator": "<string>"
},
"data": [
{
"id": "msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
"event_id": "evt_9avP4zLks7L1yh",
"payload": {
"event_type": "event.price_calculated",
"data": {}
},
"sent_at": "2024-01-20T16:04:11Z"
}
]
}Retrieve all webhook messages sent.
Please note that, by default, this endpoint is limited to retrieving 90 days’ worth of data relative to now. Messages that date back more than 90 days are still accessible, but their payloads are expunged. If an iterator is provided, the endpoint retrieves data spanning 90 days before/after the time indicated by the iterator ID. If you require data beyond those time ranges, you will need to explicitly set the before or after parameter as appropriate.
curl --request GET \
--url https://api.hyperline.co/v1/webhooks/messages \
--header 'Authorization: Bearer <token>'{
"meta": {
"iterator": "<string>"
},
"data": [
{
"id": "msg_1srOrx2ZWZBpBUvZwXKQmoEYga2",
"event_id": "evt_9avP4zLks7L1yh",
"payload": {
"event_type": "event.price_calculated",
"data": {}
},
"sent_at": "2024-01-20T16:04:11Z"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Event types to consider.
["customer.created"]1 <= x <= 250Show child attributes
Webhook message ID.
"msg_1srOrx2ZWZBpBUvZwXKQmoEYga2"
Unique ID corresponding to the event occurrence in the Hyperline system.
"evt_9avP4zLks7L1yh"
Webhook message payload.
Show child attributes
Event type.
event.price_calculated, customer.created, customer.updated, customer.archived, customer.recovered, customer.deleted, subscription.created, subscription.trial_ended, subscription.activated, subscription.reactivated, subscription.contract_started, subscription.contract_renewed, subscription.paused, subscription.phase_activated, subscription.updated, subscription.cancellation_scheduled, subscription.cancelled, subscription.voided, subscription.errored, subscription.charged, subscription.commitment_renewed, subscription.reinstated, subscription.analytics_updated, invoice.created, invoice.grace_period.started, invoice.ready, invoice.reminder_sent, invoice.settled, invoice.errored, invoice.chargeback, invoice.voided, invoice.uncollectible, invoice.deleted, credit_note.ready, credit_note.settled, checkout.created, checkout.completed, payment_method.created, payment_method.activated, payment_method.errored, payment_method.deleted, wallet.credited, wallet.debited, daily_analytics.ready, dataloader.failed, credit.low_balance, credit.balance_refreshed, credit.created, credit.updated, credit.balance_at_zero, credit.topup_transaction_created, credit.usage_transaction_created, credit.expiration_transaction_created, quote.created, quote.updated, quote.approval_requested, quote.approved, quote.sent, quote.viewed, quote.signed, quote.voided, bank_account.created, bank_account.deleted, bank_account.errored, custom_property.created, custom_property.updated, custom_property.deleted, custom_property.value_created, custom_property.value_updated, product.created, product.updated, product.archived, product.recovered, product.deleted, plan.created, plan.updated, plan.deleted, coupon.created, coupon.updated, coupon.deleted Depends on the type of event, see the event catalog for more details.
Show child attributes
Was this page helpful?